# Uses of Class
it.tdlight.jni.TdApi.Venue

## Uses of TdApi.Venue in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Venue
Modifier and Type
Field
Description
`TdApi.Venue`
TdApi.InlineQueryResultVenue.`venue`
Venue result.
`TdApi.Venue`
TdApi.InputInlineQueryResultVenue.`venue`
Venue result.
`TdApi.Venue`
TdApi.InputMessageVenue.`venue`
Venue to send.
`TdApi.Venue`
TdApi.MessageVenue.`venue`
The venue description.
Constructors in it.tdlight.jni with parameters of type TdApi.Venue
Modifier
Constructor
Description
``
`InlineQueryResultVenue(String id, TdApi.Venue venue, TdApi.Thumbnail thumbnail)`
Represents information about a venue.
``
`InputInlineQueryResultVenue(String id, TdApi.Venue venue, String thumbnailUrl, int thumbnailWidth, int thumbnailHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
Represents information about a venue.
``
`InputMessageVenue(TdApi.Venue venue)`
A message with information about a venue.
``
`MessageVenue(TdApi.Venue venue)`
A message with information about a venue.